Subject: Re: [PATCH] Rename git-core rpm to just git and rename the meta-pacakge to git-all.

From: Andreas Ericsson <[email-masked]>
Date: Fri, 15 Feb 2008 22:08:39 +0100

Kristian Høgsberg wrote:
> ---
> 
> So here's change to fix my favorite annoyance with the git rpm
> packaging: don't pull in tla when I say yum install git!  The decision
> to make 'git' a metapackage is to say the least unconventional and
> continues to surprise people (here's today discussion:
> http://marc.info/?t=120309228600004&r=1&w=2).
> 
> I know it's late and most people who use the git rpms are used to installing
> git-core by now, but myself and most of my Red Hat co-workers (who should
> know a thing or two about rpm packaging) have been fooled by the 'git'
> rpm that pulls in everything.  There's really no precendence for this, quite
> the opposite: you wouldn't expect yum install gcc to pull in fortran, right?
> 
> The patch below only affects people who know that 'git' is a metapackage
> and actually use that to pull in everything (but who does?).  The patch
> renames the 'git-core' rpm to just 'git', but adds a 'Provides: git-core'
> there so people who have trained themselves to say yum install git-core
> wont get burned.
> 

Neat, and very nicely done. However, why not add "git-extras" package as
meta-package that does what just plain "git" package used to do, and
mentioning the git-extras rpm in the %description of git's package?

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231